NodeChildren (groovy 2.4.6 API)
Date: 2016-02-18

Package: groovy.util.slurpersupport

## [Java] Class NodeChildren

- groovy.util.slurpersupport.NodeChildren

- Lazy evaluated representation of child nodes.

  Authors:
    John Wilson

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GPathResult` | `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeChildren (GPathResult parent, String name, String namespacePrefix, Map<String, String> namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult
    `NodeChildren (GPathResult parent, String name, Map<String, String> namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult
    `NodeChildren (GPathResult parent, Map<String, String> namespaceTagHints)` @param parent the GPathResult prior to the application of the expression creating this GPathResult

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `appendNode(Object newValue)`
    `void` | `build(GroovyObject builder)`
    `Iterator` | `childNodes()`
    `GPathResult` | `find(Closure closure)`
    `GPathResult` | `findAll(Closure closure)`
    `Iterator` | `iterator()`
    `Iterator` | `nodeIterator()`
    `GPathResult` | `parents()` Throws a `GroovyRuntimeException`, because it is not implemented yet.
    `protected void` | `replaceBody(Object newValue)`
    `protected void` | `replaceNode(Closure newValue)`
    `int` | `size()`
    `String` | `text()`
    `Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GPathResult` | `appendNode, breadthFirst, childNodes, children, declareNamespace, depthFirst, equals, find, findAll, getAt, getAt, getBody, getProperty, isEmpty, iterator, leftShift, list, lookupNamespace, name, nodeIterator, parent, parents, plus, pop, putAt, replaceBody, replaceNode, setMetaClass, setProperty, size, text, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public NodeChildren(GPathResult parent, String name, String namespacePrefix, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespacePrefix` - the namespace prefix if any
        `namespaceTagHints` - the known tag to namespace mappings

    - #### public NodeChildren(GPathResult parent, String name, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `name` - if the GPathResult corresponds to something with a name, e.g. a node
        `namespaceTagHints` - the known tag to namespace mappings

    - #### public NodeChildren(GPathResult parent, Map<String, String> namespaceTagHints)

      Parameters:
        `parent` - the GPathResult prior to the application of the expression creating this GPathResult
        `namespaceTagHints` - the known tag to namespace mappings

  - ### Method Detail

    - #### protected void appendNode(Object newValue)

    - #### public void build(GroovyObject builder)

    - #### public Iterator childNodes()

    - #### public GPathResult find(Closure closure)

    - #### public GPathResult findAll(Closure closure)

    - #### public Iterator iterator()

    - #### public Iterator nodeIterator()

    - #### public GPathResult parents()

      Throws a `GroovyRuntimeException`, because it is not implemented yet.

    - #### protected void replaceBody(Object newValue)

    - #### protected void replaceNode(Closure newValue)

    - #### public int size()

    - #### public String text()

    - #### public Writer writeTo(Writer out)